Page MenuHomePhabricator

Add a change Tag to media uploaded to Commons through the cross-wiki upload tool
Closed, ResolvedPublic

Event Timeline

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to High.
Jdforrester-WMF added a project: Multimedia.
Jdforrester-WMF moved this task to Next up on the Multimedia board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 13 2015, 2:45 PM

Change 245916 had a related patch set uploaded (by Bartosz Dziewoński):
mw.ForeignUpload: Provide an edit summary to help track these uploads

https://gerrit.wikimedia.org/r/245916

Adding change tags to uploads looks like a mess, so let's have an edit summary at least for now.

Change 245916 merged by jenkins-bot:
mw.ForeignUpload: Provide an edit summary to help track these uploads

https://gerrit.wikimedia.org/r/245916

matmarex claimed this task.Oct 14 2015, 4:32 PM

Change 246271 had a related patch set uploaded (by Bartosz Dziewoński):
Add a change tag to cross-wiki uploads

https://gerrit.wikimedia.org/r/246271

Change 246297 had a related patch set uploaded (by Bartosz Dziewoński):
Add a change tag to cross-wiki uploads

https://gerrit.wikimedia.org/r/246297

Change 246271 abandoned by Bartosz Dziewoński:
Add a change tag to cross-wiki uploads

Reason:
Wrong approach, https://gerrit.wikimedia.org/r/246297 (based on Anomie's suggestion) is better.

https://gerrit.wikimedia.org/r/246271

Rather than try to put this in core, where it doesn't really fit, we'll put the code in the WikimediaEvents extension, as suggested by @Anomie with P2198.

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptOct 14 2015, 7:22 PM
Steinsplitter moved this task from Incoming to Uploading on the Commons board.Oct 15 2015, 11:41 AM

Change 246297 merged by jenkins-bot:
Add a change tag to cross-wiki uploads

https://gerrit.wikimedia.org/r/246297

Jdforrester-WMF closed this task as Resolved.Oct 15 2015, 4:28 PM

Change 246701 had a related patch set uploaded (by Bartosz Dziewoński):
Add a change tag to cross-wiki uploads

https://gerrit.wikimedia.org/r/246701

Change 246701 merged by jenkins-bot:
Add a change tag to cross-wiki uploads

https://gerrit.wikimedia.org/r/246701

Change 247646 had a related patch set uploaded (by Bartosz Dziewoński):
Add a change tag to log and RC entry of cross-wiki uploads, too

https://gerrit.wikimedia.org/r/247646

Change 247646 merged by jenkins-bot:
Add a change tag to log and RC entry of cross-wiki uploads, too

https://gerrit.wikimedia.org/r/247646

Change 247650 had a related patch set uploaded (by Bartosz Dziewoński):
Add a change tag to log and RC entry of cross-wiki uploads, too

https://gerrit.wikimedia.org/r/247650

matmarex reopened this task as Open.Oct 20 2015, 9:01 PM

Turned out that this did not quite work because the change tags were only being associated with the page revision, and not the upload log entry, and apparently for uploads only the log entry is inserted into recent changes (and not the page revision, like it happens for regular edits). This meant that the tags displayed on the file history pages, but not on Special:RecentChanges, and you also couldn't search for uploads with the tag, which was the whole damn point.

The fix for this was above, reopening until it's deployed.

matmarex renamed this task from Add a change Tag to media uploaded through the cross-wiki upload tool to Add a change Tag to media uploaded to Commons through the cross-wiki upload tool.Oct 20 2015, 9:04 PM

Change 247650 merged by jenkins-bot:
Add a change tag to log and RC entry of cross-wiki uploads, too

https://gerrit.wikimedia.org/r/247650

matmarex closed this task as Resolved.Oct 21 2015, 10:09 AM
Jdforrester-WMF moved this task from Next up to Done on the Multimedia board.Oct 23 2015, 5:00 PM